package F5::ASMConfig::Entity::AttackType;

use strict;
use warnings;

use base qw(F5::ASMConfig::Entity::Base F5::ASMConfig::AttackType);

#----------------------------------------------------------------------

sub get_retrieve_join_tables {
    my($class, %params) = @_;

    my $retval = <<EndQuery;
LEFT JOIN PLC.ATTACK_TYPE_DESCRIPTION at_description
       ON (main_table.attack_type_id = at_description.attack_type_id)
EndQuery

    return $retval;
}

#----------------------------------------------------------------------

sub additional_field_mapping {
    my($class, %params) = @_;

    my %additional_field_mapping = (
                                    "description" => { 'full_db_field_name' => 'at_description.attack_type_description_text' },
                                   );
    return \%additional_field_mapping;

}
#----------------------------------------------------------------------
1;
