package F5::ASMConfig::Entity::DatabaseProtectionSettings;

use strict;
use warnings;

use base qw(F5::ASMConfig::Entity::Base F5::ASMConfig::DatabaseProtectionSettings);

#----------------------------------------------------------------------

sub before_store {
    my($self, %params) = @_;

    my $store_obj = $params{store_obj};

    if ($store_obj->{server_ip_adadr}) {
        #Only one of ip address and host name should be set, and a valid ip address takes precedence.
        $store_obj->{server_host_name} = ""; 
    }
}

#----------------------------------------------------------------------

1;
