package F5::ASMConfig::Entity::ExportSuggestionsTask;

use strict;
use warnings;

use base qw(F5::ASMConfig::TaskBase F5::ASMConfig::ExportSuggestionsTask);
use JSON;

#----------------------------------------------------------------------

sub map_rest_exported_suggestions {
    my ($self, %params) = @_;
    my $field_value = $params{field_value};
    my $direction = $params{direction};

    my $rv = $field_value;
    if ($direction eq 'to_rest' && $field_value) {
        $rv = decode_json($field_value);
    }

    return $rv;
}

#----------------------------------------------------------------------

1;
