package F5::ASMConfig::Entity::IpReputationCategory;
use base qw(F5::ASMConfig::Entity::Base F5::ASMConfig::IpReputationCategory);

#---------------------------------------------------------------------- 

sub diff_search_filters {
    my ($class) = @_;
    return [ F5::ASMConfig::SearchFilter->new(field_name => 'flg_is_visible',
                                              field_comparison => F5::ASMConfig::FieldComparison::FIELD_COMPARISON_EQ(),
                                              field_value => 1,
                                              )
           ];
}

#---------------------------------------------------------------------- 

sub suppress_modified_flag_update {
    my ($self) = @_;
    return $self->{flg_is_visible} ? 0 : 1;
}

#---------------------------------------------------------------------- 

1;
