package F5::ASMConfig::Entity::Metachar;

use base qw/F5::ASMConfig::Entity::Base F5::ASMConfig::Metachar/;

#----------------------------------------------------------------------

sub map_metachar_references {
    my ($self, %params) = @_;
    my $field_value = $params{field_value};
    my $direction = $params{direction};

    if (defined($field_value) && $direction eq 'to_entity') {
        my @references = map { substr($_, 1, -1) } split /,/, (substr($field_value, 1, -1));
        return \@references if @references;
    }
    return;
}

#----------------------------------------------------------------------

1;
