package F5::ASMConfig::Handler::DosBotSignatures;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;
use F5::Dos::BotSignatures;

our @handled_functions = (
                          {
                              function_name => 'prepare_dos_bot_signatures',
                              relayable => 0,
                          },
                         );

#------------------------------------------------------------------
sub prepare_dos_bot_signatures {
    my ($self, $session, $call_flags, $dos_bot_signatures) = @_;

    F5::Dos::BotSignatures::prepare();
    return {return_value => 1, events => []};
}

#------------------------------------------------------------------

1;
