package F5::ASMConfig::Handler::SendEvent;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;

our @handled_functions = (
                           {
                             function_name => 'send_event',
                           },
                         );

#----------------------------------------------------------------------

sub send_event {
  my($self, $session, $call_flags, $placeholder, $event) = @_;

  my $retval = { return_value => undef,
                 events => [ $event ],
               };

  return $retval;
}

#----------------------------------------------------------------------

1;
