package F5::CommonUpgrade::AutoDetect;

use base 'F5::CommonUpgrade::Base';
use F5::DbUtils;

our $max_version = '13.0.0';

our $tables_handled = [ qw(PLC.PL_POLICY_BUILDER_CONFIG) ];

#----------------------------------------------------------------------

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    my $idmap = $params{idmap};
    if ($idmap && $idmap->{'__private_save'} && $idmap->{'__private_save'}->{flg_encoding_selected}
        && exists ($idmap->{'__private_save'}->{flg_encoding_selected}->{$row->{policy_id}})
        && !$idmap->{'__private_save'}->{flg_encoding_selected}->{$row->{policy_id}}) {
        $row->{flg_learning} = 1;
        $row->{flg_enabled} = 1;
    }
}

#----------------------------------------------------------------------

1;

