package F5::CommonUpgrade::DynamicFlow;

use base 'F5::CommonUpgrade::Base';

our $max_version = '13.1.0';
our $tables_handled = [ 'PLC.PL_DYNAMIC_FLOWS' ];
my $REGEXP_DYNAMIC_DELIMITER  = 255;

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    if ( defined ($row->{reg_exp}) ) {
        ($row->{regexp_prefix}, $row->{regexp_body}, $row->{regexp_suffix}) = split(chr($REGEXP_DYNAMIC_DELIMITER), $row->{reg_exp});
    }
}

1;

