package F5::CommonUpgrade::ManualSigSet;

use base 'F5::CommonUpgrade::Base';

use F5::DbUtils;

our $max_version = '12.0.0';
our $tables_handled = [ qw(PLC.NEGSIG_SET_FILTERS) ];

sub after_all_tables_complete {
    my($self, %params) = @_;

    my $dbh    = $params{dbh};
    my $dbname = $params{dbname} || 'PLC';

        $dbh->do(<<EndQuery, undef, 1);
    DELETE FROM $dbname.NEGSIG_SET_FILTERS
     WHERE set_id IN ( SELECT set_id FROM $dbname.NEGSIG_SETS where flg_is_manual = ? )
EndQuery
}
1;

