package F5::CommonUpgrade::NegsigLastEnforcementChange;

use base 'F5::CommonUpgrade::Base';
use F5::DateTimeUtils;

our $max_version = '13.1.0';

our $tables_handled = [ 
                     qw(
                        PLC.NEGSIG_SIGNATURES
                       ), 
                      ];

sub row_fixup {
    my($self, %params) = @_;

    if ($row->{last_enforcement_change}) {
        $row->{last_enforcement_change} = F5::DateTimeUtils::convert_datetime_to_epoch($row->{last_enforcement_change});
    }
}

1;

