package F5::CommonUpgrade::ObjectOriginEnrocement;

use base 'F5::CommonUpgrade::Base';

use F5::DbUtils;

our $max_version = '12.1.0';
our $tables_handled = [ qw(PLC.PL_OBJECTS) ];


sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    $row->{allowed_origins_enforcement_mode} = $row->{flg_allowed_origins_check} ?
                                                F5::ASMConfig::CorsOriginEnforcementMode::CORS_ORIGIN_ENFORCEMENT_MODE_REPLACE_WITH() :
                                                F5::ASMConfig::CorsOriginEnforcementMode::CORS_ORIGIN_ENFORCEMENT_MODE_UNMODIFIED();
}

1;

