package F5::CommonUpgrade::PBConfigDynamicParamsStatistics;

use base 'F5::CommonUpgrade::Base';

our $max_version = '11.0.0';
our $tables_handled = [ qw(PLC.PL_POLICY_BUILDER_CONFIG) ];

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    if (defined $row->{flg_dynamic_parameters_statistics}) {
        $row->{flg_dynamic_parameters_statistics_forms} = $row->{flg_dynamic_parameters_statistics};
    }
    $row->{flg_dynamic_parameters_statistics_links} = 0;
}

1;
