package F5::CommonUpgrade::PBConfigParameterFlags;

use base 'F5::CommonUpgrade::Base';
use F5::ASMConfig::ASMConfig;


our $max_version = '13.1.0';
our $tables_handled = [ qw(PLC.PL_POLICY_BUILDER_CONFIG_PARAMETER) ];

sub row_fixup {
    my($self, %params) = @_;
    my $row = $params{row};

    if ($row->{flg_parameters_integer_value} && ( $row->{flg_dynamic_parameters_statistics_links}
         || $row->{flg_dynamic_parameters_statistics_forms} || $row->{flg_dynamic_parameters_hidden} )) {
        $row->{flg_dynamic_parameters_statistics_links} = 0;
        $row->{flg_dynamic_parameters_statistics_forms} = 0;
        $row->{flg_dynamic_parameters_hidden} = 0;
    }
}

1;
