package F5::CommonUpgrade::ParameterLocationHeader;

use base 'F5::CommonUpgrade::Base';

our $max_version = '15.1.0';
our $tables_handled =[ qw(PLC.PL_PARAM_ATTRIBUTES)];

sub row_fixup {
    my($self, %params) = @_;
    my $row = $params{row};

    if ($row->{flg_is_header}) {
        $row->{parameter_location} = F5::ASMConfig::ParameterLocation::PARAMETER_LOCATION_HEADER();
    }
}

1;