package F5::CommonUpgrade::ResponseScrubbingEnforceAllUrls;

use base 'F5::CommonUpgrade::Base';

use F5::DbUtils;

our $max_version = '11.0.0';
our $tables_handled = [ qw(PLC.PL_RESPONSE_SCRUBBING) ];

sub row_fixup {
    my($self, %params) = @_;
    my $row = $params{row};

    if (defined $row->{flg_enforce_on_all_urls}){
      $row->{enforcement_mode} = $row->{flg_enforce_on_all_urls} ? 'enforce_all_except_url_list' : 'enforce_only_url_list' ;
    }
}

1;
