package F5::CommonUpgrade::ResponseScrubbingExposeSsnCcn;

use base 'F5::CommonUpgrade::Base';

use F5::DbUtils;

our $max_version = '14.1.0';
our $tables_handled = [ qw(PLC.PL_RESPONSE_SCRUBBING) ];

sub row_fixup {
    my($self, %params) = @_;
    my $row = $params{row};

    if ( $row->{flg_is_enabled} ) {
        $row->{ccn_exposed_len} = 0;
        $row->{ssn_exposed_len} = 0;
    }
}

1;

