package F5::CommonUpgrade::ScannerConfig;

use base 'F5::CommonUpgrade::Base';

our $max_version = '11.1.0';
our $tables_handled =[ qw(PLC.PL_SENTINEL_CONFIG)];
our $tables_renamed = { 'PLC.PL_SENTINEL_CONFIG' => 'PLC.PL_SCANNER_CONFIG', };

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};

    $row->{scanner_config_id} = delete $row->{sentinel_config_id};
    $row->{scanner_site_name} = delete $row->{sentinel_site_name};
    $row->{scanner_type} = "sentinel";
}

1;
