package F5::CommonUpgrade::SentinelVulnsSave;

use strict;
use warnings;

use base 'F5::CommonUpgrade::Base';

our $max_version = '11.1.0';
our $tables_handled = [ qw(PLC.PL_SENTINEL_VULNERABILITIES) ];
our $tables_renamed = { 'PLC.PL_SENTINEL_VULNERABILITIES' => '',
                      };


sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    my $idmap = $params{idmap};

    push (@{$idmap->{'__private_save'}->{pl_sentinel_vulnerabilities}}, { %$row } );
}


1;
