package F5::CommonUpgrade::TemporaryXmlProfile;

use base 'F5::CommonUpgrade::Base';
use F5::DbUtils;

our $max_version = '11.6.0';
our $priority = 10;
our $tables_handled = [ 
                     qw(PLC.PL_XML_PROFILES
                        PLC.PL_CONTENT_PROFILES
                       ), 
                      ];

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    my $idmap = $params{idmap};

    if ($row->{flg_is_temporary}){
        $idmap->{'__private_save'}->{temporary_xml_profiles}->{$row->{id}} = 1;
    }
}
1;

