package F5::CommonUpgrade::ViolationSeverity;

use base 'F5::CommonUpgrade::Base';

our $max_version = '11.6.0';
our $tables_handled = [ qw(PLC.VIOLATIONS_PROPERTIES) ];

my $DEBUG_SEVERITY = 7;

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};

    if ($row->{severity_id} == $DEBUG_SEVERITY ) {
        $row->{severity_id} = F5::ASMConfig::ViolationSeverity::VIOLATION_SEVERITY_INFO();
    }
}

1;
