package F5::DbFixup::AjaxAlternateResponse;

use base 'F5::DbFixup::Default';
use F5::AjaxAlternateResponsesFixup;


our $max_version = '0011.0000.0000.0000.0000';

# Package globals, handled by AUTOLOAD
our $fixup_db = 'PLC'; 
our $priority = 100;

sub after_fixup {
    my($self,$dbh,$old_dbname,$new_dbname, $logger) = @_;
    $logger->debug("Begin  AjaxAlternateResponse fixup");

    F5::AjaxAlternateResponsesFixup::set_ajax_alternate_response($dbh, $logger, $new_dbname, '*');

    $logger->debug("End AjaxAlternateResponse fixup");
}
1;
