package F5::DbFixup::ResponseScrubbing;

use strict;
use warnings;

use F5::ResponseScrubbing;

our @ISA = qw(F5::DbFixup::Default);

# Package globals, handled by AUTOLOAD
our $fixup_db = 'PLC';

sub after_fixup {
  my($self,$dbh,$old_dbname,$new_dbname, $logger) = @_;

  $logger->debug("Begin Response Scrubbing fixup");

  F5::ResponseScrubbing::add_defaults(dbh => $dbh,
                                      logger => $logger,
                                      policy_id => '*',
                                      dbname => $new_dbname);

  $logger->debug("End Response Scrubbing fixup");
}

1;
