package F5::DbFixup::WsSecurityFixup;

use base 'F5::DbFixup::Default';
use F5::DbUtils;

# Package globals, handled by AUTOLOAD
our $fixup_db = 'PLC';

sub after_fixup {
    my($self,$dbh,$old_dbname,$new_dbname, $logger, $params) = @_;

    $logger->debug("Begin WsSecurityFixup fixup");

   
    F5::DbUtils::copy_defaults_table(dbh => $dbh,
                                 table_name => 'PL_XML_WS_SUBVIOLATIONS' ,
                                 dbname => $new_dbname,
                                 policy_id => '*',
                                 ignore => 1,
                                );


    $logger->debug("End WsSecurityFixup fixup");
}

1;
