package F5::Mcp::BotDefenseMitigationAction;
use constant BOT_DEFENSE_MITIGATION_ACTION_NONE => 0;
use constant BOT_DEFENSE_MITIGATION_ACTION_ALARM => 1;
use constant BOT_DEFENSE_MITIGATION_ACTION_CAPTCHA => 2;
use constant BOT_DEFENSE_MITIGATION_ACTION_RATE_LIMIT => 3;
use constant BOT_DEFENSE_MITIGATION_ACTION_BLOCK => 4;
use constant BOT_DEFENSE_MITIGATION_ACTION_HONEYPOT => 5;
use constant BOT_DEFENSE_MITIGATION_ACTION_REDIRECT_TO_POOL => 6;
use constant BOT_DEFENSE_MITIGATION_ACTION_TCP_RESET => 7;

our %tmsh_name = (
  BOT_DEFENSE_MITIGATION_ACTION_ALARM() => 'alarm',
  BOT_DEFENSE_MITIGATION_ACTION_BLOCK() => 'block',
  BOT_DEFENSE_MITIGATION_ACTION_CAPTCHA() => 'captcha',
  BOT_DEFENSE_MITIGATION_ACTION_HONEYPOT() => 'honeypot-page',
  BOT_DEFENSE_MITIGATION_ACTION_NONE() => 'none',
  BOT_DEFENSE_MITIGATION_ACTION_RATE_LIMIT() => 'rate-limit',
  BOT_DEFENSE_MITIGATION_ACTION_REDIRECT_TO_POOL() => 'redirect-to-pool',
  BOT_DEFENSE_MITIGATION_ACTION_TCP_RESET() => 'tcp-reset',
);
1;