package F5::Mcp::FwLogFilterKey;
use constant FW_LOG_FILTER_KEY_SEARCH_ALL => 0;
use constant FW_LOG_FILTER_KEY_SEARCH_IN_REQUEST => 1;
use constant FW_LOG_FILTER_KEY_SEARCH_IN_URI => 3;
use constant FW_LOG_FILTER_KEY_SEARCH_IN_QUERY_STRING => 4;
use constant FW_LOG_FILTER_KEY_SEARCH_IN_POST_DATA => 5;
use constant FW_LOG_FILTER_KEY_SEARCH_IN_HEADERS => 6;
use constant FW_LOG_FILTER_KEY_REQUEST_TYPE => 10;
use constant FW_LOG_FILTER_KEY_PROTOCOL => 11;
use constant FW_LOG_FILTER_KEY_RESPONSE_CODE => 12;
use constant FW_LOG_FILTER_KEY_HTTP_METHOD => 13;
use constant FW_LOG_FILTER_KEY_LOGIN_RESULT => 14;
use constant FW_LOG_FILTER_KEY_LOG_CHALLENGE_FAILURE_REQUETS => 15;

our %tmsh_name = (
  FW_LOG_FILTER_KEY_HTTP_METHOD() => 'http-method',
  FW_LOG_FILTER_KEY_LOG_CHALLENGE_FAILURE_REQUETS() => 'log-challenge-failure-requests',
  FW_LOG_FILTER_KEY_LOGIN_RESULT() => 'login-result',
  FW_LOG_FILTER_KEY_PROTOCOL() => 'protocol',
  FW_LOG_FILTER_KEY_REQUEST_TYPE() => 'request-type',
  FW_LOG_FILTER_KEY_RESPONSE_CODE() => 'response-code',
  FW_LOG_FILTER_KEY_SEARCH_ALL() => 'search-all',
  FW_LOG_FILTER_KEY_SEARCH_IN_HEADERS() => 'search-in-headers',
  FW_LOG_FILTER_KEY_SEARCH_IN_POST_DATA() => 'search-in-post-data',
  FW_LOG_FILTER_KEY_SEARCH_IN_QUERY_STRING() => 'search-in-query-string',
  FW_LOG_FILTER_KEY_SEARCH_IN_REQUEST() => 'search-in-request',
  FW_LOG_FILTER_KEY_SEARCH_IN_URI() => 'search-in-uri',
);
1;