package F5::Mcp::PolicyRequires;
use constant L7_POLICY_REQUIRES_NONE => 0;
use constant L7_POLICY_REQUIRES_HTTP => 1;
use constant L7_POLICY_REQUIRES_HTTP_EXPLICIT => 2;
use constant L7_POLICY_REQUIRES_TCP => 3;
use constant L7_POLICY_REQUIRES_CLIENT_SSL => 4;
use constant L7_POLICY_REQUIRES_SERVER_SSL => 5;
use constant L7_POLICY_REQUIRES_WEBSOCKET => 6;
use constant L7_POLICY_REQUIRES_CLASSIFICATION => 7;
use constant L7_POLICY_REQUIRES_HTTP_CONNECT => 8;
use constant L7_POLICY_REQUIRES_SSL_PERSIST => 9;
use constant L7_POLICY_REQUIRES_MAX => 10;

our %tmsh_name = (
  L7_POLICY_REQUIRES_CLASSIFICATION() => 'classification',
  L7_POLICY_REQUIRES_CLIENT_SSL() => 'client-ssl',
  L7_POLICY_REQUIRES_HTTP() => 'http',
  L7_POLICY_REQUIRES_HTTP_CONNECT() => 'http-connect',
  L7_POLICY_REQUIRES_HTTP_EXPLICIT() => 'http-explicit',
  L7_POLICY_REQUIRES_SERVER_SSL() => 'server-ssl',
  L7_POLICY_REQUIRES_SSL_PERSIST() => 'ssl-persistence',
  L7_POLICY_REQUIRES_TCP() => 'tcp',
  L7_POLICY_REQUIRES_WEBSOCKET() => 'websocket',
);
1;