package F5::RE2;

use strict;
use warnings;

require DynaLoader;

our @ISA = qw(DynaLoader);

our $VERSION = '0.1';

bootstrap F5::RE2 $VERSION;

# Preloaded methods go here.
#======================================================================

#----------------------------------------------------------------------

1;

__END__
# Below is the pod documentation for the RE2 module

=head1 NAME

F5::RE2 - Perl extension for accessing the RE2 regular expression library

=head1 SYNOPSIS

use F5::RE2;

my $validation_error = F5::RE2::is_re2_valid("a *test +string");

=head1 DESCRIPTION

This module wraps the RE2 regular expression library for Perl usage.

=head1 EXPORT

None by default.

=head1 AUTHOR

Richie Sevrinsky, E<lt>r.sevrinsky@f5.comE<gt>

=head1 SEE ALSO

L<perl>.

=cut
