package F5::Refinement;
use constant ENFORCE_COOKIE => 1;
use constant URL_CONTENT_PROFILE => 2;
use constant PARAM_TYPE => 3;
use constant VALID_HOST_NAME => 4;
use constant LOGIN_PAGE => 5;
use constant SERVER_TECHNOLOGY => 6;
use constant DELETE_INACTIVE_ENTITY => 7;
use constant ADD_PARAMETER => 8;
use constant ADD_URL => 9;
use constant ADD_WEBSOCKET_URL => 10;
use constant ADD_FILE_TYPE => 11;
use constant ADD_DISALLOWED_FILE_TYPE => 12;
use constant ENABLE_HTTP_PROTOCOL => 13;
use constant ENABLE_EVASION => 14;
use constant ENABLE_WSS => 15;
use constant ENABLE_VIOLATION => 16;

our %refinement_name = (
  ADD_DISALLOWED_FILE_TYPE() => 'ADD_DISALLOWED_FILE_TYPE',
  ADD_FILE_TYPE() => 'ADD_FILE_TYPE',
  ADD_PARAMETER() => 'ADD_PARAMETER',
  ADD_URL() => 'ADD_URL',
  ADD_WEBSOCKET_URL() => 'ADD_WEBSOCKET_URL',
  DELETE_INACTIVE_ENTITY() => 'DELETE_INACTIVE_ENTITY',
  ENABLE_EVASION() => 'ENABLE_EVASION',
  ENABLE_HTTP_PROTOCOL() => 'ENABLE_HTTP_PROTOCOL',
  ENABLE_VIOLATION() => 'ENABLE_VIOLATION',
  ENABLE_WSS() => 'ENABLE_WSS',
  ENFORCE_COOKIE() => 'ENFORCE_COOKIE',
  LOGIN_PAGE() => 'LOGIN_PAGE',
  PARAM_TYPE() => 'PARAM_TYPE',
  SERVER_TECHNOLOGY() => 'SERVER_TECHNOLOGY',
  URL_CONTENT_PROFILE() => 'URL_CONTENT_PROFILE',
  VALID_HOST_NAME() => 'VALID_HOST_NAME',
);
1;