package F5::ThreatCampaignFile::AutoDownload;

use strict;
use warnings;

use base qw(F5::Sigfile::AutoDownload);

use F5::DateTimeUtils;
use F5::ThreatCampaigns;

#----------------------------------------------------------------------

sub init {
    my($self, %params) = @_;
    $self->SUPER::init(%params);
    my $timestamp = F5::ThreatCampaigns::get_update_file_date(flg_any_version => 1,
                                                              dbh => $self->{dbh});

    $self->{sigfile_timestamp} = $timestamp || '2001-01-01 00:00:00'; # Arbitrarily old date to force update
    $self->{container_filter} = 'ThreatCampaignUpdates';
    $self->{file_filter} = 'ThreatCampaign.+';
}

#----------------------------------------------------------------------

1;
