package F5::Utils::Iterator;

use strict;
use warnings;

sub new {
    my($class, %params) = @_;

    my $self = bless {}, $class;
    $self->init(%params);
    return $self;
}

#--------------------------------------------------------------------------------

sub init {
    my($self, %params) = @_;
    $self->{recs} = $params{recs} || [];
    return $self;
}

#--------------------------------------------------------------------------------

sub get_next {
    my($self, %params) = @_;

    if (@{$self->{recs}}) {
        my $next_rec = shift(@{$self->{recs}});
        return $next_rec;
    }

    return;
}

#--------------------------------------------------------------------------------

1;
