package F5::Utils::SharedMemory;

use strict;
use warnings;

use Tie::ShareLite qw( :lock );

our $KNOWN_TIME_KEY = "1985";
our $SHARED_STATE_KEY = "1984";


sub get_shared_memory {
    my (%params) = @_;
    my $key = $params{key};
    my $hash_ref = {};
    my $ipc = tie %{$hash_ref}, 'Tie::ShareLite',
                                        -key     => $key,
                                        -mode    => 0600,
                                        -create  => 'yes',
                                        -destroy => 'no';
    return ($ipc, $hash_ref);
}

1;
