package F5::Utils::String;

use strict;
use warnings;

sub generate_random_value {
    my (%params) = @_;
    my $length = $params{'length'};
    my $characters = $params{characters};

    my @input;
    my $value = '';
    my @chars = split(//, $characters);

    for (my $i = 0; $i < $#chars; $i++) {
        if ($chars[$i+1] eq '-') {
            push (@input, $chars[$i]..$chars[$i+2]);
            $i += 2;
        }
        else {
            push (@input, $chars[$i]);
        }
    }

    for my $i (0..$length-1) {
        $value = $value . $input[rand @input];
    }

    return $value;
}


1;
