package F5::ASMConfig::Entity::BotSignature;

use base qw(F5::ASMConfig::Entity::Base F5::ASMConfig::BotSignature);

use strict;
use warnings;

use F5::NegativeSignatures::Rule;

sub before_store {
    my($self, %params) = @_;
    my $store_obj = $params{store_obj};

    if ($store_obj->{rule}) {
        my $rule_obj = F5::NegativeSignatures::Rule->new(rule_string => $store_obj->{rule});
        $store_obj->{buffer_type_mask} = $rule_obj->buffer_type_mask;
        $store_obj->{packed_rule_obj} = $rule_obj->packed_rule_obj;
    }
}


1;
