package F5::ASMConfig::Entity::LoginObjectAttribute;

use strict;
use warnings;

use F5::ASMConfig::Entity::Base;
use F5::ASMConfig::ASMConfig;
use base qw/F5::ASMConfig::Entity::Base F5::ASMConfig::LoginObjectAttribute/;

#----------------------------------------------------------------------

sub from_declarative {
    my ($self, %params) = @_;
    my $object = $params{object};
    my $field_name = $params{field_name};

    my $rv;
    if ($field_name eq 'logout_objects') {
        $rv = { policy_reference => 'urls' };
    }

    return $rv;
}

#----------------------------------------------------------------------

1;

