package F5::ASMConfig::Entity::PolicyActionItem;
use strict;
use warnings;

use base qw/F5::ASMConfig::Entity::Base F5::ASMConfig::ActionItem/;

#----------------------------------------------------------------------

sub rest_search_filters {
    my ($class) = @_;
    return [ F5::ASMConfig::SearchFilter->new(field_name => 'next_display_time',
                                              field_comparison => F5::ASMConfig::FieldComparison::FIELD_COMPARISON_LE(),
                                              field_value => time()),
           ];
}

#----------------------------------------------------------------------

1;
