package F5::ASMConfig::GuaranteedClient;

use strict;
use warnings;

use F5::ASMConfig::EasyClient;

sub get_client {
    my (%params) = @_;

    my $client;
    eval {
        $client = F5::ASMConfig::EasyClient->new(%params);
        $client->ping;
    };
    if ($@) {
        require F5::ASMConfig::Handler;
        $client = F5::ASMConfig::Handler->new(alarm_on_destroy => 0, %params);
    }

    return $client;
}

#----------------------------------------------------------------------

1;
