package F5::ASMConfig::Handler::DatabaseProtectionSettings;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;
use F5::ASMConfig::ASMConfig;
use F5::ASMConfig::Entity::Base;
use F5::DbUtils;

our @handled_functions = (
                           {
                             function_name => 'reset_defaults_database_protection_settings',
                             relayable => 1,
                           },
                         );
#---------------------------------------------------------

sub reset_defaults_database_protection_settings {
    my($self, $session, $call_flags) = @_;
    my $default_database_protection_settings = $self->get_default_database_protection_settings($session, $call_flags);
    return {return_value => $self->update_database_protection_settings($session, $call_flags, undef, $default_database_protection_settings)};
}

#---------------------------------------------------------
