package F5::ASMConfig::Handler::IpReputationCategory;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;
use F5::ASMConfig::ASMConfig;
use F5::ASMConfig::Entity::IpReputationCategory;

our $entity_class = 'F5::ASMConfig::Entity::IpReputationCategory';

my $default_table = 'PLC.IP_REPUTATION_CATEGORIES';
our @handled_functions = (
                            {
                             function_name => 'reset_defaults_ip_reputation_category',
                             relayable => 1,
                            },
                         );
#----------------------------------------------------------------------
sub  reset_defaults_ip_reputation_category{
  my($self,$session, $call_flags,$policy) = @_;
  my $dbh = $self->{dbh};

  return $self->base_reset_default_rows( entity_class => $entity_class,
                                         default_table => $default_table,
                                         rpc_params => [ $session, $call_flags, $policy]);

}
#----------------------------------------------------------------------
1;

