package F5::ASMConfig::Handler::PolicyGroup;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;
our @handled_functions = (
                          {
                             function_name => 'search_policy_group',
                             authz_limit_field => 'policy_grouping__policy_id',
                             authz_limit_comparison => F5::ASMConfig::FieldComparison::FIELD_COMPARISON_ALL_NESTED_IN(),
                           },
                         );

our $entity_class = 'F5::ASMConfig::Entity::PolicyGroup';
#----------------------------------------------------------------------
sub search_policy_group {
    my($self, @rpc_params) = @_;
    return $self->base_search(rpc_params => \@rpc_params,
                              entity_class => $entity_class,
                              );
}

#----------------------------------------------------------------------
1;
