package F5::ASMConfig::Handler::PolicyNegsigAttributes;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;
use F5::ASMConfig::Entity::PolicyNegsigAttributes;

our @handled_functions = (
                           {
                             function_name => 'update_policy_negsig_attributes',
                             relayable => 1,
                             criteria_index => 3,
                             store_index    => 4,
                           },
                          );

our $entity_class = 'F5::ASMConfig::Entity::PolicyNegsigAttributes';

#----------------------------------------------------------------------

sub update_policy_negsig_attributes {
    my($self,$session, $call_flags, $policy, $policy_negsig_attributes_criteria, $store_policy_negsig_attributes) = @_;

    my $retval = $self->base_update( 
                                    rpc_params => [$session, $call_flags, $policy, $policy_negsig_attributes_criteria, $store_policy_negsig_attributes],
                                    entity_class => $entity_class,
                                   );

    return $retval;

}

#----------------------------------------------------------------------

1;
