package F5::ASMConfig::Handler::ValidRegexpTool;

use strict;
use warnings;

use base qw/F5::ASMConfig::Handler::Base/;
use F5::ASMConfig::Entity::ValidRegexpTool;


our @handled_functions = (
    {
        function_name => 'add_regexp_validation_tool',
	relayable => 0,
    },
);

our $entity_class = 'F5::ASMConfig::Entity::ValidRegexpTool';

#----------------------------------------------------------------------

sub add_regexp_validation_tool {
    my($self, $session, $call_flags, $place_holder, $regexp_validation_tool) = @_;

    $regexp_validation_tool->{is_valid} = 0;
    $regexp_validation_tool->{error_message} = '';
    my $is_valid_regexp = $self->is_valid_regexp($session, $call_flags,$place_holder, $regexp_validation_tool->{regexp}, $regexp_validation_tool->{regexp_type});
    if ($is_valid_regexp->{is_valid}) {
        $regexp_validation_tool->{is_valid} = 1;
    } else {
	$regexp_validation_tool->{error_message} = $is_valid_regexp->{error_message};
    }

    return { return_value => $regexp_validation_tool };
}

#----------------------------------------------------------------------

1;
