package F5::ASMConfig::Handler::XmlWssConfiguration; 
  
use strict; 
use warnings; 
  
use base qw/F5::ASMConfig::Handler::Base/; 
use F5::ASMConfig::ASMConfig; 
 
our @handled_functions = (
                           {
                             function_name => 'update_xml_wss_configuration',
                             criteria_index => 3,
                             store_index    => 4,
                           },
                         ); 
  
our $entity_class = 'F5::ASMConfig::Entity::XmlWssConfiguration'; 
  
#------------------------------------------------------------------------- 
sub update_xml_wss_configuration{ 
   my($self, @rpc_params) = @_; 

  my $call_flags = $rpc_params[1]; 
  $call_flags->{add_on_updating_nonexistent_record} = 1; 
  
  return $self->base_update(rpc_params => \@rpc_params, 
                            entity_class => $entity_class,
                            ); 
} 
#--------------------------------------------------------------------------
1; 
