package F5::Acc::Entity::Column::bool;

use strict;
use warnings;
use Carp;
use base 'F5::Acc::Entity::Column';

sub _get_default { 0 }

sub _validate {
    my ($self, $value) = @_;
    $self->invalid($value, "not a boolean") if
        $value && $value != 1;
}

# TODO: need to normalize booleans to 1/0 for database?

1;

