package F5::Acc::Log;

use strict;
use warnings;

use F5::Logger;

my $logger;

sub Error {
    shift;
    _log(shift, "error");
}

sub Info {
    shift;
    _log(shift, "info");
}

sub _log {
    my ($error_text, $level) = @_;
    $logger ||= F5::Logger->new('/ts/log/model_layer.log');
    $logger->$level($error_text);
}

1;
