package F5::CommonUpgrade::FixUrlNullFields;

use base 'F5::CommonUpgrade::Base';

our $max_version = '11.3.0';
our $tables_handled = [ qw(PLC.PL_OBJECTS) ];

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    $row->{description} = '' unless defined $row->{description};
    $row->{pattern_order} = 1 unless defined $row->{pattern_order};
    $row->{flg_check_obj_metachar} = 0 unless defined $row->{flg_check_obj_metachar};
}

1;
