package F5::CommonUpgrade::LowercaseEncoding;

use base 'F5::CommonUpgrade::Base';

our $max_version = '13.0.0';
our $tables_handled = [ qw(PLC.PL_POLICIES) ];

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    if ($row->{encoding}) {
        $row->{encoding} = lc($row->{encoding});
    }
}

1;

