package F5::CommonUpgrade::PBConfigResponsesTrustLevel;

use base 'F5::CommonUpgrade::Base';

use F5::DbUtils;

our $max_version = '11.0.0';
our $tables_handled = [ qw(PLC.PL_POLICY_BUILDER_CONFIG) ];

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    if (defined $row->{flg_trust_all_responses}) {
        $row->{response_trust_level} = ($row->{flg_trust_all_responses} ?  'always' : 'never');
    }
}

1;
