package F5::CommonUpgrade::PBConfigTrackSiteChanges;

use base 'F5::CommonUpgrade::Base';

use F5::DbUtils;

our $max_version = '11.0.0';
our $tables_handled = [ qw(PLC.PL_POLICY_BUILDER_CONFIG) ];

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    if (defined $row->{rule_flg_react_to_fp}) {
        $row->{flg_track_site_changes_untrusted} = $row->{rule_flg_react_to_fp};
    }
    $row->{flg_track_site_changes_trusted} = $row->{flg_track_site_changes_untrusted};
}

1;
