package F5::CommonUpgrade::ParamAssociation;

use base 'F5::CommonUpgrade::Base';
use F5::DbUtils;

our $max_version = '11.0.0';
our $tables_handled =[ qw(PLC.PL_PARAM_XML_PROFILES)];

our $tables_renamed = { 'PLC.PL_PARAM_XML_PROFILES' => 'PLC.PL_PARAM_CONTENT_PROFILES'};

sub row_fixup {
    my($self, %params) = @_;
    my $row = $params{row};

    $row->{profile_id} = $row->{xml_profile_id};
}
