package F5::CommonUpgrade::RemoveEmptyUrls;

use base 'F5::CommonUpgrade::Base';

our $max_version = '13.0.0';
our $tables_handled = [ qw(PLC.PL_OBJECTS) ];

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    # Avoid creating urls with an empty name
    if (!$row->{uri}) {
        my $row_state_rv = $params{row_state_rv};
        $$row_state_rv = 'skip';
    }
}

1;

