package F5::CommonUpgrade::RemoveUnknownGeolocations;

use base 'F5::CommonUpgrade::Base';
use F5::DbUtils;
use F5::DbFixup::Default;

our $max_version = '13.0.0';
our $tables_handled = [ 
                     qw(PLC.PL_GEOLOCATION_ENFORCEMENT_LIST
                       ), 
                      ];

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    #In case an 'unknown' country code was updated to ''
    if (!$row->{country_code}) {
        my $row_state_rv = $params{row_state_rv};
        $$row_state_rv = 'skip';
    }
}

1;

