package F5::CommonUpgrade::SearchEngineAsk;

use base 'F5::CommonUpgrade::Base';

our $max_version = '11.0.1';
our $tables_handled = [ 'DCC.SEARCH_ENGINES' ];

# Search Engines were removed but this fixup remains
# for F5::DbFixup::SearchEngineMigration to do the right thing
sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    if ($row->{search_engine_name} eq 'Ask' && $row->{user_agent} eq 'ask') {
        $row->{user_agent} = 'teoma';
    }
}

1;

