package F5::CommonUpgrade::TemplateVisibility;

use base 'F5::CommonUpgrade::Base';

our $max_version = '11.4.0';
our $tables_handled = [ qw(PLC.POLICY_TEMPLATES) ];

sub after_table_complete {
    my($self, %params) = @_;

    my $dbh    = $params{dbh};
    my $dbname = $params{dbname} || 'PLC';

    $dbh->do(<<EndQuery)
UPDATE $dbname.POLICY_TEMPLATES
   SET flg_is_visible = 0
 WHERE icontrol_name = 'POLICY_TEMPLATE_RAPID_DEPLOYMENT_PB'
EndQuery
}

1;
