package F5::CommonUpgrade::UrlCheckAMFSave;

use base 'F5::CommonUpgrade::Base';
use F5::DbUtils;

our $max_version = '11.0.0';
our $tables_handled =[ qw(PLC.PL_OBJECTS)];

sub row_fixup {
    my($self, %params) = @_;

    my $row = $params{row};
    my $idmap = $params{idmap};

    if ($row->{flg_check_amf}) {
        unless ($idmap->{'__private_save'} &&
                $idmap->{'__private_save'}->{add_amf_association}) {

            $idmap->{'__private_save'}->{add_amf_association} = [];
        }

        push(@{$idmap->{'__private_save'}->{add_amf_association}}, { %$row });
    }
}

1;

