package F5::CommonUpgrade::UserDefinedViolations;

use base 'F5::CommonUpgrade::Base';
use F5::ASMConfig::ASMConfig;


our $max_version = '13.0.0';
our $tables_handled = [ qw(PLC.VIOLATIONS) ];

sub row_fixup {
    my($self, %params) = @_;
    my $row = $params{row};

    if ($row->{flg_is_user_defined}) {
        $row->{section_type} = F5::ASMConfig::SectionType::SECTION_TYPE_USER_VIOLATIONS();
    }
}

1;

