package F5::DbFixup::CharsetRemappingPlc;

use base 'F5::DbFixup::CharsetRemapping';

# Package globals, handled by AUTOLOAD
our $max_version = '0009.0002.0002.0000.0000';
our $fixup_db = 'PLC';

sub after_fixup {
  my($self,$dbh,$old_dbname,$new_dbname, $logger) = @_;

  $logger->debug("Begin Charset defaults PLC fixup");
  $self->charset_remapping($dbh, $logger, "$new_dbname.PL_CHARSETS", 'id');
  $logger->debug("End Charset defaults PLC fixup");
}

1;
