package F5::DbFixup::RelinkSigsToSets;

use base 'F5::DbFixup::Default';
use F5::NegativeSignatures;

our $min_version = '0011.0000.0000.0000.0000';
# Package globals, handled by AUTOLOAD
our $fixup_db = 'PLC';
our $priority = 102; # after NEGSIG_SETS fixups

sub after_fixup {
    my($self,$dbh,$old_dbname,$new_dbname, $logger, $params) = @_;
    $logger->debug("Begin RelinkSigsToSets fixup");

    F5::NegativeSignatures->new(dbh => $dbh, dbname => $new_dbname )->link_sigs_to_set();

    $logger->debug("End RelinkSigsToSets fixup");
}

1;
