package F5::DbFixup::StagingAttributes;

use F5::ResetStaging;

use base 'F5::DbFixup::Default';

# Package globals, handled by AUTOLOAD
our $fixup_db = 'PLC'; 
our $priority = 99;

sub after_fixup {
    my($self,$dbh,$old_dbname,$new_dbname, $logger, $params) = @_;

    $logger->debug("Begin StagingAttributes fixup");

    F5::ResetStaging::reset_staging_and_tightening(
        dbh=>$dbh,
        logger => $logger,
        policy_id => '*',
        dbname => $new_dbname,
    );

    $logger->debug("End StagingAttributes fixup");
}

1;
