package F5::DbFixup::UrlContentDefaults;

use base 'F5::DbFixup::Default';
use F5::UrlContentUpgrade;

our $fixup_db = 'PLC';
our $max_version = '0011.0000.0000.0000.0000';

sub after_fixup {
  my($self,$dbh,$old_dbname,$new_dbname, $logger, $params) = @_;
  $logger->debug("Begin URL Content fixup");

  F5::UrlContentUpgrade::populate_url_content_defaults( dbh => $dbh,
                                                        dbname => $new_dbname,
                                                        policy_id => '*',
                                                        idmap => $params->{idmap},
                                                      );

  $logger->debug("End URL Content fixup");
}
1;
