package F5::FeatureEnable;

use F5::DbUtils;

sub enable_feature {
    my (%params) = @_;

    my $dbh = $params{dbh};
    my $table_name = $params{table_name};
    my $policy_id = $params{policy_id};
    my $enable = $params{enable};

    my $ignore = F5::DbUtils::get_ignore_string($dbh);
    $dbh->do(<<EndQuery, undef, $policy_id, $enable);
INSERT $ignore INTO $table_name
(policy_id, flg_is_enabled)
VALUES (?,?)
EndQuery

   $dbh->do(<<EndQuery, undef, $enable, $policy_id);
UPDATE $table_name
  SET flg_is_enabled = ?
  WHERE policy_id = ?
EndQuery

}




1;
