package F5::IpAddr;

use strict;
use warnings;

use base qw(DynaLoader);

our $VERSION = '0.01';

bootstrap F5::IpAddr $VERSION;

# Preloaded methods go here.

1;
__END__
# Below is the pod documentation for the F5::IpAddr module

=head1 NAME

F5::IpAddr - Perl extension for accessing the ip_addr routines

=head1 SYNOPSIS

  use F5::IpAddr;

  my $ip = F5::IpAddr::ip_pton($ip_str);
  my $ip_str = F5::IpAddr::ip_ntop($ip);
  my $res = F5::IpAddr::ip_addr_maskcmp($ip_str1,$ip_str2,$mask_str);

=head1 DESCRIPTION

Refer to f5lib/util/ip_addr.h

=head1 EXPORT

None.

=head1 SEE ALSO

L<perl>

=cut
