package F5::Mcp::HaState;
use constant HA_UNKNOWN => 0;
use constant HA_OFFLINE => 1;
use constant HA_FORCED_OFFLINE => 2;
use constant HA_STANDBY => 3;
use constant HA_ACTIVE => 4;
use constant HA_FAILSAFE_FAULT => 5;

our %tmsh_name = (
  HA_ACTIVE() => 'active',
  HA_FAILSAFE_FAULT() => 'failsafe-fault',
  HA_FORCED_OFFLINE() => 'forced-offline',
  HA_OFFLINE() => 'offline',
  HA_STANDBY() => 'standby',
  HA_UNKNOWN() => 'unknown',
);
1;