package F5::Mcp::PolicyAction;
use constant L7_POLICY_ACTION_UNDEFINED => 0;
use constant L7_POLICY_ACTION_INSERT => 1;
use constant L7_POLICY_ACTION_REPLACE => 2;
use constant L7_POLICY_ACTION_APPLY => 3;
use constant L7_POLICY_ACTION_ADD => 4;
use constant L7_POLICY_ACTION_CLASSIFY => 5;
use constant L7_POLICY_ACTION_REMOVE => 6;
use constant L7_POLICY_ACTION_SELECT => 7;
use constant L7_POLICY_ACTION_CONNECTION => 8;
use constant L7_POLICY_ACTION_ENABLE => 9;
use constant L7_POLICY_ACTION_DISABLE => 10;
use constant L7_POLICY_ACTION_REDIRECT => 11;
use constant L7_POLICY_ACTION_WRITE => 12;
use constant L7_POLICY_ACTION_RESET => 13;
use constant L7_POLICY_ACTION_EVENT => 14;
use constant L7_POLICY_ACTION_SET_VAR => 15;
use constant L7_POLICY_ACTION_RENEGOTIATE => 16;
use constant L7_POLICY_ACTION_PERSIST_SRC_ADDR => 17;
use constant L7_POLICY_ACTION_PERSIST_DEST_ADDR => 18;
use constant L7_POLICY_ACTION_PERSIST_COOKIE_INSERT => 19;
use constant L7_POLICY_ACTION_PERSIST_COOKIE_REWRITE => 20;
use constant L7_POLICY_ACTION_PERSIST_COOKIE_PASSIVE => 21;
use constant L7_POLICY_ACTION_PERSIST_COOKIE_HASH => 22;
use constant L7_POLICY_ACTION_PERSIST_UIE => 23;
use constant L7_POLICY_ACTION_PERSIST_UNIVERSAL => 24;
use constant L7_POLICY_ACTION_PERSIST_HASH => 25;
use constant L7_POLICY_ACTION_PERSIST_CARP => 26;
use constant L7_POLICY_ACTION_DROP => 27;
use constant L7_POLICY_ACTION_REJECT => 28;
use constant L7_POLICY_ACTION_RETRY => 29;
use constant L7_POLICY_ACTION_MAX => 30;

our %tmsh_name = (
  L7_POLICY_ACTION_ADD() => 'add',
  L7_POLICY_ACTION_APPLY() => 'apply',
  L7_POLICY_ACTION_PERSIST_CARP() => 'carp',
  L7_POLICY_ACTION_CLASSIFY() => 'classify',
  L7_POLICY_ACTION_CONNECTION() => 'connection',
  L7_POLICY_ACTION_PERSIST_COOKIE_HASH() => 'cookie-hash',
  L7_POLICY_ACTION_PERSIST_COOKIE_INSERT() => 'cookie-insert',
  L7_POLICY_ACTION_PERSIST_COOKIE_PASSIVE() => 'cookie-passive',
  L7_POLICY_ACTION_PERSIST_COOKIE_REWRITE() => 'cookie-rewrite',
  L7_POLICY_ACTION_PERSIST_DEST_ADDR() => 'destination-address',
  L7_POLICY_ACTION_DISABLE() => 'disable',
  L7_POLICY_ACTION_DROP() => 'drop',
  L7_POLICY_ACTION_ENABLE() => 'enable',
  L7_POLICY_ACTION_EVENT() => 'event',
  L7_POLICY_ACTION_PERSIST_HASH() => 'hash',
  L7_POLICY_ACTION_INSERT() => 'insert',
  L7_POLICY_ACTION_REDIRECT() => 'redirect',
  L7_POLICY_ACTION_REJECT() => 'reject',
  L7_POLICY_ACTION_REMOVE() => 'remove',
  L7_POLICY_ACTION_RENEGOTIATE() => 'renegotiate',
  L7_POLICY_ACTION_REPLACE() => 'replace',
  L7_POLICY_ACTION_RESET() => 'reset',
  L7_POLICY_ACTION_RETRY() => 'retry',
  L7_POLICY_ACTION_SELECT() => 'select',
  L7_POLICY_ACTION_SET_VAR() => 'set-variable',
  L7_POLICY_ACTION_PERSIST_SRC_ADDR() => 'source-address',
  L7_POLICY_ACTION_PERSIST_UIE() => 'uie',
  L7_POLICY_ACTION_PERSIST_UNIVERSAL() => 'universal',
  L7_POLICY_ACTION_WRITE() => 'write',
);
1;