package F5::Mcp::PolicyControls;
use constant L7_POLICY_CONTROLS_NONE => 0;
use constant L7_POLICY_CONTROLS_FORWARDING => 1;
use constant L7_POLICY_CONTROLS_CACHING => 2;
use constant L7_POLICY_CONTROLS_COMPRESSION => 3;
use constant L7_POLICY_CONTROLS_WAM => 4;
use constant L7_POLICY_CONTROLS_ASM => 5;
use constant L7_POLICY_CONTROLS_AVR => 6;
use constant L7_POLICY_CONTROLS_L7DOS => 7;
use constant L7_POLICY_CONTROLS_BOT_DEFENSE => 8;
use constant L7_POLICY_CONTROLS_CLASSIFICATION => 9;
use constant L7_POLICY_CONTROLS_REQUEST_ADAPTATION => 10;
use constant L7_POLICY_CONTROLS_RESPONSE_ADAPTATION => 11;
use constant L7_POLICY_CONTROLS_CLIENT_SSL => 12;
use constant L7_POLICY_CONTROLS_SERVER_SSL => 13;
use constant L7_POLICY_CONTROLS_SSL_INTERCEPT => 14;
use constant L7_POLICY_CONTROLS_PERSISTENCE => 15;
use constant L7_POLICY_CONTROLS_CE => 16;
use constant L7_POLICY_CONTROLS_WEBSOCKET => 17;
use constant L7_POLICY_CONTROLS_MAX => 18;

our %tmsh_name = (
  L7_POLICY_CONTROLS_WAM() => 'acceleration',
  L7_POLICY_CONTROLS_ASM() => 'asm',
  L7_POLICY_CONTROLS_AVR() => 'avr',
  L7_POLICY_CONTROLS_BOT_DEFENSE() => 'bot-defense',
  L7_POLICY_CONTROLS_CACHING() => 'caching',
  L7_POLICY_CONTROLS_CE() => 'ce',
  L7_POLICY_CONTROLS_CLASSIFICATION() => 'classification',
  L7_POLICY_CONTROLS_CLIENT_SSL() => 'client-ssl',
  L7_POLICY_CONTROLS_COMPRESSION() => 'compression',
  L7_POLICY_CONTROLS_FORWARDING() => 'forwarding',
  L7_POLICY_CONTROLS_L7DOS() => 'l7dos',
  L7_POLICY_CONTROLS_PERSISTENCE() => 'persistence',
  L7_POLICY_CONTROLS_REQUEST_ADAPTATION() => 'request-adaptation',
  L7_POLICY_CONTROLS_RESPONSE_ADAPTATION() => 'response-adaptation',
  L7_POLICY_CONTROLS_SERVER_SSL() => 'server-ssl',
  L7_POLICY_CONTROLS_SSL_INTERCEPT() => 'ssl-intercept',
  L7_POLICY_CONTROLS_WEBSOCKET() => 'websocket',
);
1;