package F5::Mcp::UserRole;
use constant ROLE_ADMINISTRATOR => 0;
use constant ROLE_RESOURCE_ADMIN => 20;
use constant ROLE_USER_MANAGER => 40;
use constant ROLE_AUDITOR => 80;
use constant ROLE_PARTITION_EDITOR => 100;
use constant ROLE_EDITOR => 200;
use constant ROLE_APPLICATION_EDITOR => 300;
use constant ROLE_ADVANCED_OPERATOR => 350;
use constant ROLE_OPERATOR => 400;
use constant ROLE_FIREWALL_MANAGER => 450;
use constant ROLE_FRAUD_PROTECTION_MANAGER => 480;
use constant ROLE_CERTIFICATE_MANAGER => 500;
use constant ROLE_IRULE_MANAGER => 510;
use constant ROLE_GUEST => 700;
use constant ROLE_APPLICATION_SECURITY_ADMINISTRATOR => 800;
use constant ROLE_APPLICATION_SECURITY_EDITOR => 810;
use constant ROLE_APPLICATION_SECURITY_OPERATIONS_ADMINISTRATOR => 820;
use constant ROLE_ACCELERATION_POLICY_EDITOR => 850;
use constant ROLE_INVALID => 900;

our %tmsh_name = (
  ROLE_ACCELERATION_POLICY_EDITOR() => 'acceleration-policy-editor',
  ROLE_ADMINISTRATOR() => 'admin',
  ROLE_APPLICATION_EDITOR() => 'application-editor',
  ROLE_AUDITOR() => 'auditor',
  ROLE_CERTIFICATE_MANAGER() => 'certificate-manager',
  ROLE_FIREWALL_MANAGER() => 'firewall-manager',
  ROLE_FRAUD_PROTECTION_MANAGER() => 'fraud-protection-manager',
  ROLE_GUEST() => 'guest',
  ROLE_IRULE_MANAGER() => 'irule-manager',
  ROLE_PARTITION_EDITOR() => 'manager',
  ROLE_INVALID() => 'no-access',
  ROLE_OPERATOR() => 'operator',
  ROLE_RESOURCE_ADMIN() => 'resource-admin',
  ROLE_USER_MANAGER() => 'user-manager',
  ROLE_APPLICATION_SECURITY_ADMINISTRATOR() => 'web-application-security-administrator',
  ROLE_APPLICATION_SECURITY_EDITOR() => 'web-application-security-editor',
  ROLE_APPLICATION_SECURITY_OPERATIONS_ADMINISTRATOR() => 'web-application-security-operations-administrator',
);
1;