#######################################################################
# $F5_Copyright_SH$
# File: PatternMatching.pm
#
# Implements minimal required interface to acy pattern matching library
# 
# $Header$
#
#######################################################################

package F5::PatternMatching;

use strict;
use warnings;

use base qw(DynaLoader);

our $VERSION = '0.01';

bootstrap F5::PatternMatching $VERSION;

# Preloaded methods go here.

1;
__END__
# Below is the pod documentation for the PatternMatching module

=head1 NAME

PatternMatching - Perl extension for accessing the acy pattern matching routines

=head1 SYNOPSIS

  use F5::PatternMatching;

  ...

=head1 DESCRIPTION

Refer to TrafficShield/common/pattern_matching_engine

=head1 EXPORT

None.

=head1 AUTHOR

Ephraim Dan, E<lt>e.dan@f5.comE<gt>

=head1 SEE ALSO

L<perl>, TrafficShield/common/pattern_matching_engine

=cut
