package F5::Scanner::WebInspect;

use strict;
use warnings;

use base qw/F5::Scanner/;

sub threat_and_severity {
    my ($self, %params) = @_;


    my $original_value = lc($params{field_value});
    my %threat_and_severity = (
        0 => F5::ASMConfig::SeverityLevel::SEVERITY_INFO(),
        1 => F5::ASMConfig::SeverityLevel::SEVERITY_LOW(),
        2 => F5::ASMConfig::SeverityLevel::SEVERITY_MEDIUM(),
        3 => F5::ASMConfig::SeverityLevel::SEVERITY_HIGH(),
        4 => F5::ASMConfig::SeverityLevel::SEVERITY_CRITICAL(),
    );

    return $threat_and_severity{$original_value};
}

#------------------------------------------------------------------

1;
