package F5::Utils::URI;

use strict;
use warnings;

use URI::Escape qw(uri_escape_utf8);

sub build_query_string {
    my ($parameters) = @_;
    my $query_string = join("&", map { "$_=" . uri_escape_utf8($parameters->{$_})} (keys %{$parameters}));
    return $query_string;
}

1;
